<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_content_add_breadcrumb($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-11-addcontent'); // 元の値を保持

	/*** パンくずリストを有効化 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['enable-breadcrumb'] ) && $value['enable-breadcrumb'] === '1' ) {
		$value['enable-breadcrumb'] = '1'; // 明示的に '1' を設定
	} else {
		$value['enable-breadcrumb'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** パンくずリストを自動出力 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['auto-output-breadcrumb'] ) && $value['auto-output-breadcrumb'] === '1' ) {
		$value['auto-output-breadcrumb'] = '1'; // 明示的に '1' を設定
	} else {
		$value['auto-output-breadcrumb'] = ''; // チェックされていない場合は空文字を設定
	}


	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}